<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddSrstReq StructType
 * @subpackage Structs
 */
class AddSrstReq extends APIRequest
{
    /**
     * The srst
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XSrst
     */
    public $srst;
    /**
     * Constructor method for AddSrstReq
     * @uses AddSrstReq::setSrst()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XSrst $srst
     */
    public function __construct(\\Losc\CucmBundle\Model\Webservice\StructType\XSrst $srst = null)
    {
        $this
            ->setSrst($srst);
    }
    /**
     * Get srst value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XSrst|null
     */
    public function getSrst()
    {
        return $this->srst;
    }
    /**
     * Set srst value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XSrst $srst
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\AddSrstReq
     */
    public function setSrst(\\Losc\CucmBundle\Model\Webservice\StructType\XSrst $srst = null)
    {
        $this->srst = $srst;
        return $this;
    }
}
